Bug 47286 - Word documents saves in wrong format if source contains form elements.
Summary: Word documents saves in wrong format if source contains form elements.
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HWPF (show other bugs)
Version: 3.2-FINAL
Hardware: PC Windows XP
: P2 major (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-29 14:40 UTC by Eugene Torkhov
Modified: 2011-07-25 13:59 UTC (History)
0 users



Attachments
Word document with form (43.50 KB, application/octet-stream)
2009-05-29 14:40 UTC, Eugene Torkhov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Torkhov 2009-05-29 14:40:42 UTC
Created attachment 23729 [details]
Word document with form

For ex.:
HWPFDocument doc = new HWPFDocument(new FileInputStream("example.doc"));
doc.write(new FileOutputStream("example-copy.doc"));

New document "example-copy.doc" issue hangup in MS Word 2003.
Comment 1 Sergey Vladimirov 2011-07-09 14:52:13 UTC
Eugene,

So far i fixed in trunk some forms-related code. Form fields are corretly loaded and saved.

Sad to say, but OpenOffice still have problems opening resaved file -- formatting is "shifted", table is missing. Right now can't find out the reasong for such behaviour.

Example file looks better, but still very far from ideal. I'm leaving this bug status open with hope to close it later.

Sergey
Comment 2 Sergey Vladimirov 2011-07-25 13:59:23 UTC
Completely fixed in r1150704.

Fix will be part of 3.8beta-4.